net.minecraft.client.renderer.texture

## Class TextureStitched

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureStitched

- All Implemented Interfaces:
    Icon
  Direct Known Subclasses:
    TextureClock, TextureCompass

      public class TextureStitched
      extends Object
      implements Icon

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `func_94206_g()`
    `float` | `func_94207_b(double par1)`
    `int` | `func_94208_k()`
    `float` | `func_94209_e()`
    `float` | `func_94210_h()`
    `int` | `func_94211_a()`
    `float` | `func_94212_f()`
    `int` | `func_94213_j()`
    `float` | `func_94214_a(double par1)`
    `String` | `func_94215_i()`
    `int` | `func_94216_b()`
    `void` | `func_94217_a(TextureStitched par1TextureStitched)`
    `void` | `func_94218_a(Texture par1Texture, List par2List, int par3, int par4, int par5, int par6, boolean par7)`
    `void` | `func_94219_l()`
    `static TextureStitched` | `func_94220_a(String par0Str)`
    `void` | `func_94221_a(BufferedReader par1BufferedReader)`
    `boolean` | `loadTexture(TextureManager manager, ITexturePack texturepack, String name, String fileName, BufferedImage image, ArrayList textures)` Called when texture packs are refreshed, from TextureManager.createNewTexture, allows for finer control over loading the animation lists and verification of the image.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### func_94220_a

          public static TextureStitched func_94220_a(String par0Str)

    - #### func_94218_a

          public void func_94218_a(Texture par1Texture,
                          List par2List,
                          int par3,
                          int par4,
                          int par5,
                          int par6,
                          boolean par7)

    - #### func_94217_a

          public void func_94217_a(TextureStitched par1TextureStitched)

    - #### func_94211_a

          public int func_94211_a()

      Specified by:
        `func_94211_a` in interface `Icon`

    - #### func_94216_b

          public int func_94216_b()

      Specified by:
        `func_94216_b` in interface `Icon`

    - #### func_94209_e

          public float func_94209_e()

      Specified by:
        `func_94209_e` in interface `Icon`

    - #### func_94212_f

          public float func_94212_f()

      Specified by:
        `func_94212_f` in interface `Icon`

    - #### func_94214_a

          public float func_94214_a(double par1)

      Specified by:
        `func_94214_a` in interface `Icon`

    - #### func_94206_g

          public float func_94206_g()

      Specified by:
        `func_94206_g` in interface `Icon`

    - #### func_94210_h

          public float func_94210_h()

      Specified by:
        `func_94210_h` in interface `Icon`

    - #### func_94207_b

          public float func_94207_b(double par1)

      Specified by:
        `func_94207_b` in interface `Icon`

    - #### func_94215_i

          public String func_94215_i()

      Specified by:
        `func_94215_i` in interface `Icon`

    - #### func_94213_j

          public int func_94213_j()

      Specified by:
        `func_94213_j` in interface `Icon`

    - #### func_94208_k

          public int func_94208_k()

      Specified by:
        `func_94208_k` in interface `Icon`

    - #### func_94219_l

          public void func_94219_l()

    - #### func_94221_a

          public void func_94221_a(BufferedReader par1BufferedReader)

    - #### loadTexture

          public boolean loadTexture(TextureManager manager,
                            ITexturePack texturepack,
                            String name,
                            String fileName,
                            BufferedImage image,
                            ArrayList textures)

      Called when texture packs are refreshed, from TextureManager.createNewTexture, allows for finer control over loading the animation lists and verification of the image. If the return value from this is true, no further loading will be done by vanilla code. You need to add all Texture's to the textures argument. At the end of this function at least one entry should be in that argument, or a error should of been thrown.
      Parameters:
        `manager` - The invoking manager
        `texturepack` - Current texture pack
        `name` - The name of the texture
        `fileName` - Resource path for this texture
        `image` - Buffered image of the loaded resource
        `textures` - ArrayList of element type Texture, split textures should be added to this list for the stitcher to handle.
      Returns:
        Return true to skip further vanilla texture loading for this texture